Page MenuHomePhabricator

For operations/puppet : merge tox / rake jobs in a single job?
Closed, ResolvedPublic

Description

operations/puppet triggers two jobs per patch, and thus consume two instances. We could have a single job instead that runs both tox and rake. Would be a bit slower but that will save an instance per patch.

Details

Related Gerrit Patches:
integration/config : masterMerge operations/puppet jobs
integration/config : masterExperimental job that merges puppet.git jobs

Event Timeline

hashar created this task.Mar 20 2017, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2017, 4:32 PM
hashar triaged this task as Medium priority.Mar 21 2017, 9:12 AM

Change 344404 had a related patch set uploaded (by Hashar):
[integration/config@master] Experimental job that merges puppet.git jobs

https://gerrit.wikimedia.org/r/344404

Change 344404 merged by jenkins-bot:
[integration/config@master] Experimental job that merges puppet.git jobs

https://gerrit.wikimedia.org/r/344404

Change 344410 had a related patch set uploaded (by Hashar):
[integration/config@master] Merge operations/puppet jobs

https://gerrit.wikimedia.org/r/344410

Change 344410 merged by jenkins-bot:
[integration/config@master] Merge operations/puppet jobs

https://gerrit.wikimedia.org/r/344410

hashar closed this task as Resolved.Mar 23 2017, 4:21 PM

Tested, works. I have update the castor cache by rebuilding a build with ZUUL_PIPELINE=postmerge.

Deployed and announced on ops list.

Mentioned in SAL (#wikimedia-operations) [2017-03-23T16:22:07Z] <hashar> Merged operations/puppet.git Jenkins job in a single one that runs tox then rake - T160923